Bug 171460 - New port: finance/trytond_project
Summary: New port: finance/trytond_project
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-08 17:10 UTC by Matthias Petermann
Modified: 2012-09-14 08:11 UTC (History)
0 users

See Also:


Attachments
file.shar (5.26 KB, text/plain)
2012-09-08 17:10 UTC, Matthias Petermann
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Petermann 2012-09-08 17:10:01 UTC
This port adds the Project Module to the Tryton Application Platform.

Fix: Patch attached with submission follows:
Comment 1 Wen Heping freebsd_committer 2012-09-10 02:16:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-09-14 07:43:21 UTC
Author: wen
Date: Fri Sep 14 06:43:05 2012
New Revision: 304258
URL: http://svn.freebsd.org/changeset/ports/304258

Log:
  This port adds the Project Module to the Tryton Application Platform.
  
  WWW: http://www.tryton.org/
  
  PR:		171460
  Submitted by:	Matthias Petermann <matthias@d2ux.net>

Added:
  head/finance/trytond_project/
  head/finance/trytond_project/Makefile   (contents, props changed)
  head/finance/trytond_project/distinfo   (contents, props changed)
  head/finance/trytond_project/pkg-descr   (contents, props changed)
  head/finance/trytond_project/pkg-plist   (contents, props changed)
Modified:
  head/finance/Makefile

Modified: head/finance/Makefile
==============================================================================
--- head/finance/Makefile	Fri Sep 14 06:21:14 2012	(r304257)
+++ head/finance/Makefile	Fri Sep 14 06:43:05 2012	(r304258)
@@ -115,6 +115,7 @@
     SUBDIR += trytond_dashboard
     SUBDIR += trytond_party
     SUBDIR += trytond_product
+    SUBDIR += trytond_project
     SUBDIR += trytond_purchase
     SUBDIR += trytond_sale
     SUBDIR += trytond_stock

Added: head/finance/trytond_project/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_project/Makefile	Fri Sep 14 06:43:05 2012	(r304258)
@@ -0,0 +1,25 @@
+# New ports collection makefile for:	trytond_project
+# Date created:		08 September, 2012
+# Whom:			Matthias Petermann<matthias@petermann.it>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	trytond_project
+PORTVERSION=	2.4.0
+CATEGORIES=	finance python
+MASTER_SITES=	http://downloads2.tryton.org/${PORTVERSION:R}/
+
+MAINTAINER=	matthias@petermann.it
+COMMENT=	Tryton Application Platform (Project Module)
+
+LICENSE=	GPLv3
+
+RUN_DEPENDS=	trytond>=2.4.0:${PORTSDIR}/finance/trytond \
+		trytond_timesheet>=2.4.0:${PORTSDIR}/finance/trytond_timesheet \
+		trytond_party>=2.4.0:${PORTSDIR}/finance/trytond_party
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=easy_install
+
+.include <bsd.port.mk>

Added: head/finance/trytond_project/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_project/distinfo	Fri Sep 14 06:43:05 2012	(r304258)
@@ -0,0 +1,2 @@
+SHA256 (trytond_project-2.4.0.tar.gz) = 6bb77e89496354a15c9308a0aa35d171d5c230e6f98a967f54a681e87774ff8a
+SIZE (trytond_project-2.4.0.tar.gz) = 30868

Added: head/finance/trytond_project/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_project/pkg-descr	Fri Sep 14 06:43:05 2012	(r304258)
@@ -0,0 +1,3 @@
+This port adds the Project Module to the Tryton Application Platform.
+
+WWW: http://www.tryton.org/

Added: head/finance/trytond_project/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_project/pkg-plist	Fri Sep 14 06:43:05 2012	(r304258)
@@ -0,0 +1,43 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/__tryton__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/__tryton__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/__tryton__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/icons/tryton-project.svg
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/locale/bg_BG.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/locale/ca_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/locale/cs_CZ.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/locale/de_DE.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/locale/es_AR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/locale/es_CO.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/locale/es_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/locale/fr_FR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/locale/nl_NL.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/locale/ru_RU.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/project.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/tests/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/tests/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/tests/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/tests/test_project.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/tests/test_project.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/tests/test_project.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/work.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/work.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/work.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/work.xml
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/tests
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/locale
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project/icons
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/project
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2012-09-14 08:11:36 UTC
State Changed
From-To: open->closed

New port added. Thanks!